| Classes - Annotated - Tree - Functions - Home - Structure

# QIntValidator Class Reference

The QIntValidator class provides range checking of integers. More...

`#include <qvalidator.h>`

Inherits QValidator.

List of all member functions.

## Public Members

- QIntValidator ( QWidget * parent, const char * name = 0 )
- QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )
- ~QIntValidator ()
- QValidator::State validate ( QString &, int & ) const
- void setBottom ( int )
- void setTop ( int )
- virtual void setRange ( int bottom, int top )
- int bottom () const
- int top () const

## Properties

Type | Name | READ | WRITE | Options
--- | --- | --- | --- | ---
int | bottom | bottom | setBottom |
int | top | top | setTop |

## Detailed Description

The QIntValidator class provides range checking of integers.

QIntValidator provides a lower and an upper bound. It does not provide a fixup() function.

See also QDoubleValidator.

## Member Function Documentation

### QIntValidator::QIntValidator ( QWidget * parent, const char * name = 0 )

Constructs a validator object which accepts all integers.

### QIntValidator::QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )

Constructs a validator object which accepts all integers from bottom up to and including top.

### QIntValidator::~QIntValidator ()

Destroys the validator, freeing any storage and other resources used.

### int QIntValidator::bottom () const

Returns the lowest valid number according to this validator.

See also top() and setRange().

### void QIntValidator::setBottom ( int bottom )

Sets the validator to accept no numbers smaller than bottom.

See also setRange().

### void QIntValidator::setRange ( int bottom, int top ) `[virtual]`

Sets the validator to accept only number from bottom up to an including top.

### void QIntValidator::setTop ( int top )

Sets the validator to accept no numbers bigger than top.

See also setRange().

### int QIntValidator::top () const

Returns the highest valid number according to this validator.

See also bottom() and setRange().

### QValidator::State QIntValidator::validate( QString & input, int & ) const

Returns Acceptable if input contains a number in the legal range, Intermediate if it contains another integer or is empty, and Invalid if input is not an integer.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.